
Foreman - Feature #3508

As a security engineer, I would like to retrieve ldap groups and use that to select roles in foreman

10/25/2013 11:31 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Is duplicate of Foreman - Feature #812: cant assign roles to groups, just to ... Closed 03/31/2011

History

#1 - 10/25/2013 11:42 AM - Dominic Cleal

- Is duplicate of Feature #812: cant assign roles to groups, just to users added

#2 - 10/25/2013 11:44 AM - Dominic Cleal

- Status changed from New to Need more information

Duplicates #812 and https://github.com/theforeman/foreman/pull/529.

#3 - 10/29/2013 02:05 PM - Bryan Kearney

At the end of this story, and the end of Jan's work, I would expect the following scenarios to work

1) Authz and Authn  are done by the foreman login screen. Passwwords are validated by an LDAP bind, and the roles are selected based on the

groups returned from LDAP.

2) Authz and Authn are done by the apache plugin. Group names from the plugin are used to select the correct roles.

In order to support both use cases, it is acceptable for the Foreman user to have to map the intenral roles to group names.

#4 - 03/03/2014 02:31 PM - Marek Hulán

- Status changed from Need more information to Closed

Applied in changeset acfbc45886c4d81a2a3ca5af433a6124a0a7191a.
